Bug 1391731 - Hawkular-Metrics using too much CPU
Summary: Hawkular-Metrics using too much CPU
Keywords:
Status: CLOSED DUPLICATE of bug 1411427
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Matt Wringe
QA Contact: Peng Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-03 20:52 UTC by Eric Jones
Modified: 2020-01-17 16:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 20:36:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Jones 2016-11-03 20:52:41 UTC
Description of problem:
Recently a customer started seeing an issue with whichever node has the hawkular-metrics pod on it using near 100% of its CPU. There is a single java process that appears to be owned by the hawkular-metrics pod that is using this vaste amount of CPU

Comment 1 Matt Wringe 2016-11-03 21:09:45 UTC
There is not enough information attached here for us to proceed.

Can you please attach the Hawkular Metrics logs?

Is this running on a small machine without a lot of CPU resources to begin with? Or running on a more heavy duty machine with lots of CPU resources available?

The Hawkular Metrics pod can also be set with resource limits to limit the CPU amount the pod is allowed to access. But if the pod is already using a lot of resources, then it might already be using what it requires.

Comment 49 Matt Wringe 2017-02-09 20:36:36 UTC
Marking this as a duplicate of 1411427

*** This bug has been marked as a duplicate of bug 1411427 ***


Note You need to log in before you can comment on or make changes to this bug.